Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent
Class ThreadPoolExecutor.DiscardPolicy

    java.lang.Object
      java.util.concurrent.ThreadPoolExecutor.DiscardPolicy

All Implemented Interfaces:
  RejectedExecutionHandler

Enclosing class:
  ThreadPoolExecutor

    public static class ThreadPoolExecutor.DiscardPolicy

extends Object
implements RejectedExecutionHandler

A handler for rejected tasks that silently discards the rejected task.

Constructor Summary
`ThreadPoolExecutor.DiscardPolicy()` Creates a `DiscardPolicy`.

Method Summary
`void` | `rejectedExecution(Runnable r, ThreadPoolExecutor e)` Does nothing, which has the effect of discarding task r.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPoolExecutor.DiscardPolicy

    public ThreadPoolExecutor.DiscardPolicy()

  Creates a `DiscardPolicy`.

Method Detail

### rejectedExecution

    public void rejectedExecution(Runnable r,
                                  ThreadPoolExecutor e)

  Does nothing, which has the effect of discarding task r.

  Specified by:
    `rejectedExecution` in interface `RejectedExecutionHandler`
  Parameters:
    `r` - the runnable task requested to be executed
    `e` - the executor attempting to execute this task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.